Bug 57675 - ExtendedAccessLogValve quoting problems
ExtendedAccessLogValve quoting problems
Status: RESOLVED FIXED
Product: Tomcat 6
Classification: Unclassified
Component: Catalina
unspecified
All All
: P2 normal (vote)
: ----
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2015-03-07 19:18 UTC by quurks
Modified: 2015-03-18 15:11 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description quurks 2015-03-07 19:18:32 UTC
Reproduce:

<Valve className="org.apache.catalina.valves.ExtendedAccessLogValve" directory="logs" 	prefix="extended" suffix=".log" pattern="date time cs(test)" />

Access a page with the request header test: 'alpha

Actual result:
2015-03-07 18:49:11 ''"lpha'

Expected Result:

According to my understanding of http://www.w3.org/TR/WD-logfile.html , the result should be:
2015-03-07 18:49:11 "'alpha"
-The missing a should obviously be included
-Only double Quotes should be used
-Quotation should be done with a double quoting char

Additional: 
"The dash character must not be used as an abbreviation for an empty string."
Currently empty Strings are turned into a dash
Comment 1 Mark Thomas 2015-03-08 22:06:01 UTC
Thanks for the report.

This has been fixed for trunk, 8.0.x (for 8.0.21 onwards), 7.0.x (for 7.0.60 onwards) and proposed for 6.0.x.
Comment 2 Mark Thomas 2015-03-18 15:11:35 UTC
Fixed in 6.0.x for 6.0.44 onwards.